Beim Starten bekomme ich den Fehler "Exit Code=13" - Was nun?


#1

Portfolio Performance startet mit der Fehlermeldung “Java was started but returned exit code=13”.

Das Problem ist eine falsche Bit Version des Programms. Relevant ist leider nicht die Bit Version des Betriebsystems. Wenn man auf einem 64bit Windows ein 32bit Java installiert, brauchst man auch die 32bit Version von PP.

Einfach noch mal die andere Bit Version runterladen!


Probleme bei Installation
Probleme beim Öffnen von Portfolio P. beim Mac
Probleme beim Starten von Portfolio Performance unter Windows 10
FAQ - Häufig gestellte Fragen
#2

Ich habe den Fehler bekommen, weil ich im Programmpfad ein #-Zeichen hatte. Bei einem %-Zeichen kommt der Fehler auch.


#3

Vielen Dank für das Feedback. Anscheinend hat das Eclipse Framework auch Probleme wenn im Dateipfad ein # oder ein % Zeichen enthalten sind. Darauf habe ich leider keine Einfluß.


#4

Nach der Installation, bei dem Versuch das Programm zu starten, kommt folgende Fehlermeldung:

“Portfolio Performance benötigt mindestens Java 8.(…)”

Java 8 ist aber installiert (wurde von vorgeschlagener Website “oracle.com…” heruntergeladen und installiert).

Wenn ich dann auf “OK” klicke kommt folgende Fehlermeldung:

“Ein Fehler ist aufgetreten. Informationen hierzu enthält die Protkolldatei C:/Users/…”, diese Datei habe ich komischerweise aber auch nicht auf dem Computer.

Habe die 32er und 64er Version versucht.

Gibt es jemanden mit ähnlichen Problemen bzw. weiß jemand eine Lösung?


#5

Sind noch andere Java Versionen installiert? Dann könnte die falsche verwendet werden.

Dann kann man das konfigurieren indem man in der PortfolioPerformance.ini Datei den kompletten Pfad (auf zwei Zeilen) zu der Java Installation angibt:

-vm
C:\jdk1.8.0\bin\javaw.exe 

Probleme beim Starten von Portfolio Performance unter Windows 10
Probleme bei der Installation Windows 7: Failed to load the JNI shared library
Probleme beim Starten von Portfolio Performance unter Windows 10
Probleme beim Start nach JAVA Neuinstallation: Failed to load the JNI shared library
#6

Danke für die schnelle Antwort.
Also das steht bei mir in der PortfolioPerformance.ini:

“-startup
plugins/org.eclipse.equinox.launcher_1.3.100.v20150511-1540.jar
–launcher.library
plugins/org.eclipse.equinox.launcher.win32.win32.x86_1.1.300.v20150602-1417
-vmargs
-Xms256m
-Xmx768m”

Wo genau muss ich dann

“-vm C:\jdk1.8.0\bin\javaw.exe”

einsetzen?


#7

Zum Beispiel in die ersten beiden Zeilen (das “-vm” muss auf einer Zeile stehen, und dann der genau Pfad zu Deiner Java Installation)